source: squid-ssl/trunk/fuentes/tools/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 58.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93TESTS =
94@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
95libexec_PROGRAMS = cachemgr$(CGIEXT)$(EXEEXT)
96subdir = tools
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)" \
164        "$(DESTDIR)$(man8dir)"
165PROGRAMS = $(libexec_PROGRAMS)
166am_cachemgr__CGIEXT__OBJECTS = cachemgr__CGIEXT_-cachemgr.$(OBJEXT) \
167        cachemgr__CGIEXT_-stub_debug.$(OBJEXT) \
168        cachemgr__CGIEXT_-test_tools.$(OBJEXT) \
169        cachemgr__CGIEXT_-time.$(OBJEXT)
170cachemgr__CGIEXT__OBJECTS = $(am_cachemgr__CGIEXT__OBJECTS)
171cachemgr__CGIEXT__LDADD = $(LDADD)
172@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
173am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
174        $(am__DEPENDENCIES_1)
175am__DEPENDENCIES_3 =
176cachemgr__CGIEXT__DEPENDENCIES = $(top_builddir)/src/ip/libip.la \
177        $(top_builddir)/lib/libmiscencoding.la \
178        $(top_builddir)/lib/libmiscutil.la $(am__DEPENDENCIES_2) \
179        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
180        $(am__DEPENDENCIES_3)
181AM_V_lt = $(am__v_lt_@AM_V@)
182am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
183am__v_lt_0 = --silent
184am__v_lt_1 =
185cachemgr__CGIEXT__LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
186        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
187        $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
188        $(LDFLAGS) -o $@
189am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
190am__vpath_adj = case $$p in \
191    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
192    *) f=$$p;; \
193  esac;
194am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
195am__install_max = 40
196am__nobase_strip_setup = \
197  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
198am__nobase_strip = \
199  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
200am__nobase_list = $(am__nobase_strip_setup); \
201  for p in $$list; do echo "$$p $$p"; done | \
202  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
203  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
204    if (++n[$$2] == $(am__install_max)) \
205      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
206    END { for (dir in files) print dir, files[dir] }'
207am__base_list = \
208  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
209  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
210am__uninstall_files_from_dir = { \
211  test -z "$$files" \
212    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
213    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
214         $(am__cd) "$$dir" && rm -f $$files; }; \
215  }
216SCRIPTS = $(libexec_SCRIPTS)
217AM_V_P = $(am__v_P_@AM_V@)
218am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
219am__v_P_0 = false
220am__v_P_1 = :
221AM_V_GEN = $(am__v_GEN_@AM_V@)
222am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
223am__v_GEN_0 = @echo "  GEN     " $@;
224am__v_GEN_1 =
225AM_V_at = $(am__v_at_@AM_V@)
226am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
227am__v_at_0 = @
228am__v_at_1 =
229DEFAULT_INCLUDES =
230depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
231am__depfiles_maybe = depfiles
232am__mv = mv -f
233CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
234        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
235LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
236        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
237        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
238        $(AM_CXXFLAGS) $(CXXFLAGS)
239AM_V_CXX = $(am__v_CXX_@AM_V@)
240am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
241am__v_CXX_0 = @echo "  CXX     " $@;
242am__v_CXX_1 =
243CXXLD = $(CXX)
244CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
245        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
246        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
247AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
248am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
249am__v_CXXLD_0 = @echo "  CXXLD   " $@;
250am__v_CXXLD_1 =
251SOURCES = $(cachemgr__CGIEXT__SOURCES)
252DIST_SOURCES = $(cachemgr__CGIEXT__SOURCES)
253RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
254        ctags-recursive dvi-recursive html-recursive info-recursive \
255        install-data-recursive install-dvi-recursive \
256        install-exec-recursive install-html-recursive \
257        install-info-recursive install-pdf-recursive \
258        install-ps-recursive install-recursive installcheck-recursive \
259        installdirs-recursive pdf-recursive ps-recursive \
260        tags-recursive uninstall-recursive
261am__can_run_installinfo = \
262  case $$AM_UPDATE_INFO_DIR in \
263    n|no|NO) false;; \
264    *) (install-info --version) >/dev/null 2>&1;; \
265  esac
266man8dir = $(mandir)/man8
267NROFF = nroff
268MANS = $(man_MANS)
269RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
270  distclean-recursive maintainer-clean-recursive
271am__recursive_targets = \
272  $(RECURSIVE_TARGETS) \
273  $(RECURSIVE_CLEAN_TARGETS) \
274  $(am__extra_recursive_targets)
275AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
276        check recheck distdir
277am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
278# Read a list of newline-separated strings from the standard input,
279# and print each of them once, without duplicates.  Input order is
280# *not* preserved.
281am__uniquify_input = $(AWK) '\
282  BEGIN { nonempty = 0; } \
283  { items[$$0] = 1; nonempty = 1; } \
284  END { if (nonempty) { for (i in items) print i; }; } \
285'
286# Make sure the list of sources is unique.  This is necessary because,
287# e.g., the same source file might be shared among _SOURCES variables
288# for different programs/libraries.
289am__define_uniq_tagged_files = \
290  list='$(am__tagged_files)'; \
291  unique=`for i in $$list; do \
292    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
293  done | $(am__uniquify_input)`
294ETAGS = etags
295CTAGS = ctags
296am__tty_colors_dummy = \
297  mgn= red= grn= lgn= blu= brg= std=; \
298  am__color_tests=no
299am__tty_colors = { \
300  $(am__tty_colors_dummy); \
301  if test "X$(AM_COLOR_TESTS)" = Xno; then \
302    am__color_tests=no; \
303  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
304    am__color_tests=yes; \
305  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
306    am__color_tests=yes; \
307  fi; \
308  if test $$am__color_tests = yes; then \
309    red='[0;31m'; \
310    grn='[0;32m'; \
311    lgn='[1;32m'; \
312    blu='[1;34m'; \
313    mgn='[0;35m'; \
314    brg='[1m'; \
315    std='[m'; \
316  fi; \
317}
318am__recheck_rx = ^[     ]*:recheck:[    ]*
319am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
320am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
321# A command that, given a newline-separated list of test names on the
322# standard input, print the name of the tests that are to be re-run
323# upon "make recheck".
324am__list_recheck_tests = $(AWK) '{ \
325  recheck = 1; \
326  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
327    { \
328      if (rc < 0) \
329        { \
330          if ((getline line2 < ($$0 ".log")) < 0) \
331            recheck = 0; \
332          break; \
333        } \
334      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
335        { \
336          recheck = 0; \
337          break; \
338        } \
339      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
340        { \
341          break; \
342        } \
343    }; \
344  if (recheck) \
345    print $$0; \
346  close ($$0 ".trs"); \
347  close ($$0 ".log"); \
348}'
349# A command that, given a newline-separated list of test names on the
350# standard input, create the global log from their .trs and .log files.
351am__create_global_log = $(AWK) ' \
352function fatal(msg) \
353{ \
354  print "fatal: making $@: " msg | "cat >&2"; \
355  exit 1; \
356} \
357function rst_section(header) \
358{ \
359  print header; \
360  len = length(header); \
361  for (i = 1; i <= len; i = i + 1) \
362    printf "="; \
363  printf "\n\n"; \
364} \
365{ \
366  copy_in_global_log = 1; \
367  global_test_result = "RUN"; \
368  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
369    { \
370      if (rc < 0) \
371         fatal("failed to read from " $$0 ".trs"); \
372      if (line ~ /$(am__global_test_result_rx)/) \
373        { \
374          sub("$(am__global_test_result_rx)", "", line); \
375          sub("[        ]*$$", "", line); \
376          global_test_result = line; \
377        } \
378      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
379        copy_in_global_log = 0; \
380    }; \
381  if (copy_in_global_log) \
382    { \
383      rst_section(global_test_result ": " $$0); \
384      while ((rc = (getline line < ($$0 ".log"))) != 0) \
385      { \
386        if (rc < 0) \
387          fatal("failed to read from " $$0 ".log"); \
388        print line; \
389      }; \
390      printf "\n"; \
391    }; \
392  close ($$0 ".trs"); \
393  close ($$0 ".log"); \
394}'
395# Restructured Text title.
396am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
397# Solaris 10 'make', and several other traditional 'make' implementations,
398# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
399# by disabling -e (using the XSI extension "set +e") if it's set.
400am__sh_e_setup = case $$- in *e*) set +e;; esac
401# Default flags passed to test drivers.
402am__common_driver_flags = \
403  --color-tests "$$am__color_tests" \
404  --enable-hard-errors "$$am__enable_hard_errors" \
405  --expect-failure "$$am__expect_failure"
406# To be inserted before the command running the test.  Creates the
407# directory for the log if needed.  Stores in $dir the directory
408# containing $f, in $tst the test, in $log the log.  Executes the
409# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
410# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
411# will run the test scripts (or their associated LOG_COMPILER, if
412# thy have one).
413am__check_pre = \
414$(am__sh_e_setup);                                      \
415$(am__vpath_adj_setup) $(am__vpath_adj)                 \
416$(am__tty_colors);                                      \
417srcdir=$(srcdir); export srcdir;                        \
418case "$@" in                                            \
419  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
420    *) am__odir=.;;                                     \
421esac;                                                   \
422test "x$$am__odir" = x"." || test -d "$$am__odir"       \
423  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
424if test -f "./$$f"; then dir=./;                        \
425elif test -f "$$f"; then dir=;                          \
426else dir="$(srcdir)/"; fi;                              \
427tst=$$dir$$f; log='$@';                                 \
428if test -n '$(DISABLE_HARD_ERRORS)'; then               \
429  am__enable_hard_errors=no;                            \
430else                                                    \
431  am__enable_hard_errors=yes;                           \
432fi;                                                     \
433case " $(XFAIL_TESTS) " in                              \
434  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
435    am__expect_failure=yes;;                            \
436  *)                                                    \
437    am__expect_failure=no;;                             \
438esac;                                                   \
439$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
440# A shell command to get the names of the tests scripts with any registered
441# extension removed (i.e., equivalently, the names of the test logs, with
442# the '.log' extension removed).  The result is saved in the shell variable
443# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
444# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
445# since that might cause problem with VPATH rewrites for suffix-less tests.
446# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
447am__set_TESTS_bases = \
448  bases='$(TEST_LOGS)'; \
449  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
450  bases=`echo $$bases`
451RECHECK_LOGS = $(TEST_LOGS)
452TEST_SUITE_LOG = test-suite.log
453TEST_EXTENSIONS = @EXEEXT@ .test
454am__test_logs1 = $(TESTS:=.log)
455am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
456TEST_LOGS = $(am__test_logs2:.test.log=.log)
457TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
458TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
459        $(TEST_LOG_FLAGS)
460am__set_b = \
461  case '$@' in \
462    */*) \
463      case '$*' in \
464        */*) b='$*';; \
465          *) b=`echo '$@' | sed 's/\.log$$//'`; \
466       esac;; \
467    *) \
468      b='$*';; \
469  esac
470DIST_SUBDIRS = $(SUBDIRS)
471am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
472        $(top_srcdir)/cfgaux/test-driver \
473        $(top_srcdir)/doc/manuals/Substitute.am \
474        $(top_srcdir)/src/Common.am
475DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
476am__relativize = \
477  dir0=`pwd`; \
478  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
479  sed_rest='s,^[^/]*/*,,'; \
480  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
481  sed_butlast='s,/*[^/]*$$,,'; \
482  while test -n "$$dir1"; do \
483    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
484    if test "$$first" != "."; then \
485      if test "$$first" = ".."; then \
486        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
487        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
488      else \
489        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
490        if test "$$first2" = "$$first"; then \
491          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
492        else \
493          dir2="../$$dir2"; \
494        fi; \
495        dir0="$$dir0"/"$$first"; \
496      fi; \
497    fi; \
498    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
499  done; \
500  reldir="$$dir2"
501ACLOCAL = @ACLOCAL@
502ADAPTATION_LIBS = @ADAPTATION_LIBS@
503ALLOCA = @ALLOCA@
504AMTAR = @AMTAR@
505AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
506AR = @AR@
507ARGZ_H = @ARGZ_H@
508AR_R = @AR_R@
509AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
510AUTH_MODULES = @AUTH_MODULES@
511AUTOCONF = @AUTOCONF@
512AUTOHEADER = @AUTOHEADER@
513AUTOMAKE = @AUTOMAKE@
514AWK = @AWK@
515BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
516BUILDCXX = @BUILDCXX@
517BUILDCXXFLAGS = @BUILDCXXFLAGS@
518BZR = @BZR@
519CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
520CC = @CC@
521CCDEPMODE = @CCDEPMODE@
522CFLAGS = @CFLAGS@
523CGIEXT = @CGIEXT@
524CHMOD = @CHMOD@
525CPP = @CPP@
526CPPFLAGS = @CPPFLAGS@
527CPPUNITCONFIG = @CPPUNITCONFIG@
528CRYPTLIB = @CRYPTLIB@
529CXX = @CXX@
530CXXCPP = @CXXCPP@
531CXXDEPMODE = @CXXDEPMODE@
532CXXFLAGS = @CXXFLAGS@
533CYGPATH_W = @CYGPATH_W@
534DEFAULT_HOSTS = @DEFAULT_HOSTS@
535DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
536DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
537DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
538DEFS = @DEFS@
539DEPDIR = @DEPDIR@
540DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
541DISK_LIBS = @DISK_LIBS@
542DISK_LINKOBJS = @DISK_LINKOBJS@
543DISK_MODULES = @DISK_MODULES@
544DISK_OS_LIBS = @DISK_OS_LIBS@
545DISK_PROGRAMS = @DISK_PROGRAMS@
546DLLTOOL = @DLLTOOL@
547DSYMUTIL = @DSYMUTIL@
548DUMPBIN = @DUMPBIN@
549ECAP_LIBS = @ECAP_LIBS@
550ECHO_C = @ECHO_C@
551ECHO_N = @ECHO_N@
552ECHO_T = @ECHO_T@
553EGREP = @EGREP@
554EPOLL_LIBS = @EPOLL_LIBS@
555EUILIB = @EUILIB@
556EXEEXT = @EXEEXT@
557EXPATLIB = @EXPATLIB@
558EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
559EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
560EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
561FALSE = @FALSE@
562FGREP = @FGREP@
563GREP = @GREP@
564HAVE_CXX11 = @HAVE_CXX11@
565ICAP_LIBS = @ICAP_LIBS@
566INCLTDL = @INCLTDL@
567INSTALL = @INSTALL@
568INSTALL_DATA = @INSTALL_DATA@
569INSTALL_PROGRAM = @INSTALL_PROGRAM@
570INSTALL_SCRIPT = @INSTALL_SCRIPT@
571INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
572KRB5INCS = @KRB5INCS@
573KRB5LIBS = @KRB5LIBS@
574LBERLIB = @LBERLIB@
575LD = @LD@
576LDAPLIB = @LDAPLIB@
577LDFLAGS = @LDFLAGS@
578LIBADD_DL = @LIBADD_DL@
579LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
580LIBADD_DLOPEN = @LIBADD_DLOPEN@
581LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
582LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
583LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
584LIBLTDL = @LIBLTDL@
585LIBOBJS = @LIBOBJS@
586LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
587LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
588LIBS = @LIBS@
589LIBSASL = @LIBSASL@
590LIBTOOL = @LIBTOOL@
591LIB_DB = @LIB_DB@
592LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
593LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
594LINUXDOC = @LINUXDOC@
595LIPO = @LIPO@
596LN = @LN@
597LN_S = @LN_S@
598LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
599LTDLDEPS = @LTDLDEPS@
600LTDLINCL = @LTDLINCL@
601LTDLOPEN = @LTDLOPEN@
602LTLIBOBJS = @LTLIBOBJS@
603LT_CONFIG_H = @LT_CONFIG_H@
604LT_DLLOADERS = @LT_DLLOADERS@
605LT_DLPREOPEN = @LT_DLPREOPEN@
606MAINT = @MAINT@
607MAKEINFO = @MAKEINFO@
608MANIFEST_TOOL = @MANIFEST_TOOL@
609MINGW_LIBS = @MINGW_LIBS@
610MKDIR = @MKDIR@
611MKDIR_P = @MKDIR_P@
612MV = @MV@
613NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
614NETTLELIB = @NETTLELIB@
615NM = @NM@
616NMEDIT = @NMEDIT@
617NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
618OBJDUMP = @OBJDUMP@
619OBJEXT = @OBJEXT@
620OTOOL = @OTOOL@
621OTOOL64 = @OTOOL64@
622PACKAGE = @PACKAGE@
623PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
624PACKAGE_NAME = @PACKAGE_NAME@
625PACKAGE_STRING = @PACKAGE_STRING@
626PACKAGE_TARNAME = @PACKAGE_TARNAME@
627PACKAGE_URL = @PACKAGE_URL@
628PACKAGE_VERSION = @PACKAGE_VERSION@
629PATH_SEPARATOR = @PATH_SEPARATOR@
630PERL = @PERL@
631PKG_CONFIG = @PKG_CONFIG@
632PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
633PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
634PO2HTML = @PO2HTML@
635PO2TEXT = @PO2TEXT@
636POD2MAN = @POD2MAN@
637RANLIB = @RANLIB@
638REGEXLIB = @REGEXLIB@
639REPL_LIBS = @REPL_LIBS@
640REPL_OBJS = @REPL_OBJS@
641REPL_POLICIES = @REPL_POLICIES@
642RM = @RM@
643SED = @SED@
644SET_MAKE = @SET_MAKE@
645SH = @SH@
646SHELL = @SHELL@
647SMBCLIENT = @SMBCLIENT@
648SNMPLIB = @SNMPLIB@
649SQUID_CFLAGS = @SQUID_CFLAGS@
650SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
651SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
652SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
653SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
654SSLLIB = @SSLLIB@
655STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
656STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
657STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
658STORE_TESTS = @STORE_TESTS@
659STRIP = @STRIP@
660TR = @TR@
661TRUE = @TRUE@
662URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
663VERSION = @VERSION@
664WBINFO = @WBINFO@
665WIN32_PSAPI = @WIN32_PSAPI@
666XMLLIB = @XMLLIB@
667XTRA_LIBS = @XTRA_LIBS@
668XTRA_OBJS = @XTRA_OBJS@
669abs_builddir = @abs_builddir@
670abs_srcdir = @abs_srcdir@
671abs_top_builddir = @abs_top_builddir@
672abs_top_srcdir = @abs_top_srcdir@
673ac_ct_AR = @ac_ct_AR@
674ac_ct_CC = @ac_ct_CC@
675ac_ct_CXX = @ac_ct_CXX@
676ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
677am__include = @am__include@
678am__leading_dot = @am__leading_dot@
679am__quote = @am__quote@
680am__tar = @am__tar@
681am__untar = @am__untar@
682bindir = @bindir@
683build = @build@
684build_alias = @build_alias@
685build_cpu = @build_cpu@
686build_os = @build_os@
687build_vendor = @build_vendor@
688builddir = @builddir@
689datadir = @datadir@
690datarootdir = @datarootdir@
691docdir = @docdir@
692dvidir = @dvidir@
693exec_prefix = @exec_prefix@
694host = @host@
695host_alias = @host_alias@
696host_cpu = @host_cpu@
697host_os = @host_os@
698host_vendor = @host_vendor@
699htmldir = @htmldir@
700includedir = @includedir@
701infodir = @infodir@
702install_sh = @install_sh@
703krb5_config = @krb5_config@
704libdir = @libdir@
705libexecdir = @libexecdir@
706localedir = @localedir@
707localstatedir = @localstatedir@
708ltdl_LIBOBJS = @ltdl_LIBOBJS@
709ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
710mandir = @mandir@
711mkdir_p = @mkdir_p@
712oldincludedir = @oldincludedir@
713pdfdir = @pdfdir@
714prefix = @prefix@
715program_transform_name = @program_transform_name@
716psdir = @psdir@
717runstatedir = @runstatedir@
718sbindir = @sbindir@
719sharedstatedir = @sharedstatedir@
720srcdir = @srcdir@
721subdirs = @subdirs@
722sys_symbol_underscore = @sys_symbol_underscore@
723sysconfdir = @sysconfdir@
724target_alias = @target_alias@
725top_build_prefix = @top_build_prefix@
726top_builddir = @top_builddir@
727top_srcdir = @top_srcdir@
728AM_CFLAGS = $(SQUID_CFLAGS)
729AM_CXXFLAGS = $(SQUID_CXXFLAGS)
730CLEANFILES = test_tools.cc stub_debug.cc time.cc cachemgr.cgi.8
731AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
732        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
733        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
734        $(am__append_1) -I$(srcdir)
735@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
736@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
737COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
738subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
739SUBDIRS = purge squidclient systemd sysvinit
740EXTRA_DIST = helper-mux.pl helper-mux.README helper-ok-dying.pl \
741        helper-ok.pl cachemgr.conf cachemgr.cgi.8 cachemgr.cgi.8.in
742man_MANS = cachemgr.cgi.8
743DISTCLEANFILES =
744LDADD = \
745        $(top_builddir)/src/ip/libip.la \
746        $(top_builddir)/lib/libmiscencoding.la \
747        $(top_builddir)/lib/libmiscutil.la \
748        $(COMPAT_LIB) \
749        $(NETTLELIB) \
750        $(KRB5LIBS) \
751        $(XTRA_LIBS)
752
753SUBSTITUTE = sed "\
754        s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
755        s%@DEFAULT_MIME_TABLE@%$(DEFAULT_MIME_TABLE)%g;\
756        s%@""PACKAGE_STRING""@%$(PACKAGE_STRING)%g;\
757        s%@SYSCONFDIR@%$(sysconfdir)%g;\
758        "
759
760
761# stock tools for unit tests - library independent versions of dlink_list
762# etc.
763# globals.cc is needed by test_tools.cc.
764# Neither of these should be disted from here.
765TESTSOURCES = test_tools.cc
766libexec_SCRIPTS = helper-mux.pl
767DEFAULT_CACHEMGR_CONFIG = $(sysconfdir)/cachemgr.conf
768cachemgr__CGIEXT__SOURCES = cachemgr.cc \
769        stub_debug.cc \
770        test_tools.cc \
771        time.cc
772
773cachemgr__CGIEXT__CXXFLAGS = -DDEFAULT_CACHEMGR_CONFIG=\"$(DEFAULT_CACHEMGR_CONFIG)\" $(AM_CXXFLAGS)
774all: all-recursive
775
776.SUFFIXES:
777.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
778$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/doc/manuals/Substitute.am $(am__configure_deps)
779        @for dep in $?; do \
780          case '$(am__configure_deps)' in \
781            *$$dep*) \
782              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
783                && { if test -f $@; then exit 0; else break; fi; }; \
784              exit 1;; \
785          esac; \
786        done; \
787        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/Makefile'; \
788        $(am__cd) $(top_srcdir) && \
789          $(AUTOMAKE) --foreign tools/Makefile
790Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
791        @case '$?' in \
792          *config.status*) \
793            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
794          *) \
795            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
796            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
797        esac;
798$(top_srcdir)/src/Common.am $(top_srcdir)/doc/manuals/Substitute.am $(am__empty):
799
800$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
801        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
802
803$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
804        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
805$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
806        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
807$(am__aclocal_m4_deps):
808
809clean-checkPROGRAMS:
810        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
811        echo " rm -f" $$list; \
812        rm -f $$list || exit $$?; \
813        test -n "$(EXEEXT)" || exit 0; \
814        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
815        echo " rm -f" $$list; \
816        rm -f $$list
817install-libexecPROGRAMS: $(libexec_PROGRAMS)
818        @$(NORMAL_INSTALL)
819        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
820        if test -n "$$list"; then \
821          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
822          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
823        fi; \
824        for p in $$list; do echo "$$p $$p"; done | \
825        sed 's/$(EXEEXT)$$//' | \
826        while read p p1; do if test -f $$p \
827         || test -f $$p1 \
828          ; then echo "$$p"; echo "$$p"; else :; fi; \
829        done | \
830        sed -e 'p;s,.*/,,;n;h' \
831            -e 's|.*|.|' \
832            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
833        sed 'N;N;N;s,\n, ,g' | \
834        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
835          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
836            if ($$2 == $$4) files[d] = files[d] " " $$1; \
837            else { print "f", $$3 "/" $$4, $$1; } } \
838          END { for (d in files) print "f", d, files[d] }' | \
839        while read type dir files; do \
840            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
841            test -z "$$files" || { \
842            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
843            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
844            } \
845        ; done
846
847uninstall-libexecPROGRAMS:
848        @$(NORMAL_UNINSTALL)
849        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
850        files=`for p in $$list; do echo "$$p"; done | \
851          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
852              -e 's/$$/$(EXEEXT)/' \
853        `; \
854        test -n "$$list" || exit 0; \
855        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
856        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
857
858clean-libexecPROGRAMS:
859        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
860        echo " rm -f" $$list; \
861        rm -f $$list || exit $$?; \
862        test -n "$(EXEEXT)" || exit 0; \
863        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
864        echo " rm -f" $$list; \
865        rm -f $$list
866
867cachemgr$(CGIEXT)$(EXEEXT): $(cachemgr__CGIEXT__OBJECTS) $(cachemgr__CGIEXT__DEPENDENCIES) $(EXTRA_cachemgr__CGIEXT__DEPENDENCIES)
868        @rm -f cachemgr$(CGIEXT)$(EXEEXT)
869        $(AM_V_CXXLD)$(cachemgr__CGIEXT__LINK) $(cachemgr__CGIEXT__OBJECTS) $(cachemgr__CGIEXT__LDADD) $(LIBS)
870install-libexecSCRIPTS: $(libexec_SCRIPTS)
871        @$(NORMAL_INSTALL)
872        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || list=; \
873        if test -n "$$list"; then \
874          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
875          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
876        fi; \
877        for p in $$list; do \
878          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
879          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
880        done | \
881        sed -e 'p;s,.*/,,;n' \
882            -e 'h;s|.*|.|' \
883            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
884        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
885          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
886            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
887              if (++n[d] == $(am__install_max)) { \
888                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
889            else { print "f", d "/" $$4, $$1 } } \
890          END { for (d in files) print "f", d, files[d] }' | \
891        while read type dir files; do \
892             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
893             test -z "$$files" || { \
894               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
895               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
896             } \
897        ; done
898
899uninstall-libexecSCRIPTS:
900        @$(NORMAL_UNINSTALL)
901        @list='$(libexec_SCRIPTS)'; test -n "$(libexecdir)" || exit 0; \
902        files=`for p in $$list; do echo "$$p"; done | \
903               sed -e 's,.*/,,;$(transform)'`; \
904        dir='$(DESTDIR)$(libexecdir)'; $(am__uninstall_files_from_dir)
905
906mostlyclean-compile:
907        -rm -f *.$(OBJEXT)
908
909distclean-compile:
910        -rm -f *.tab.c
911
912@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po@am__quote@
913@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po@am__quote@
914@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po@am__quote@
915@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cachemgr__CGIEXT_-time.Po@am__quote@
916
917.cc.o:
918@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
919@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
920@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
921@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
922@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
924
925.cc.obj:
926@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
927@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
928@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
929@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
930@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
932
933.cc.lo:
934@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
935@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
936@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
937@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
938@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
939@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
940
941cachemgr__CGIEXT_-cachemgr.o: cachemgr.cc
942@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-cachemgr.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo -c -o cachemgr__CGIEXT_-cachemgr.o `test -f 'cachemgr.cc' || echo '$(srcdir)/'`cachemgr.cc
943@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po
944@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cachemgr.cc' object='cachemgr__CGIEXT_-cachemgr.o' libtool=no @AMDEPBACKSLASH@
945@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-cachemgr.o `test -f 'cachemgr.cc' || echo '$(srcdir)/'`cachemgr.cc
947
948cachemgr__CGIEXT_-cachemgr.obj: cachemgr.cc
949@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-cachemgr.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo -c -o cachemgr__CGIEXT_-cachemgr.obj `if test -f 'cachemgr.cc'; then $(CYGPATH_W) 'cachemgr.cc'; else $(CYGPATH_W) '$(srcdir)/cachemgr.cc'; fi`
950@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Tpo $(DEPDIR)/cachemgr__CGIEXT_-cachemgr.Po
951@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cachemgr.cc' object='cachemgr__CGIEXT_-cachemgr.obj' libtool=no @AMDEPBACKSLASH@
952@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-cachemgr.obj `if test -f 'cachemgr.cc'; then $(CYGPATH_W) 'cachemgr.cc'; else $(CYGPATH_W) '$(srcdir)/cachemgr.cc'; fi`
954
955cachemgr__CGIEXT_-stub_debug.o: stub_debug.cc
956@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_debug.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o cachemgr__CGIEXT_-stub_debug.o `test -f 'stub_debug.cc' || echo '$(srcdir)/'`stub_debug.cc
957@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
958@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_debug.cc' object='cachemgr__CGIEXT_-stub_debug.o' libtool=no @AMDEPBACKSLASH@
959@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_debug.o `test -f 'stub_debug.cc' || echo '$(srcdir)/'`stub_debug.cc
961
962cachemgr__CGIEXT_-stub_debug.obj: stub_debug.cc
963@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-stub_debug.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo -c -o cachemgr__CGIEXT_-stub_debug.obj `if test -f 'stub_debug.cc'; then $(CYGPATH_W) 'stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/stub_debug.cc'; fi`
964@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Tpo $(DEPDIR)/cachemgr__CGIEXT_-stub_debug.Po
965@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='stub_debug.cc' object='cachemgr__CGIEXT_-stub_debug.obj' libtool=no @AMDEPBACKSLASH@
966@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-stub_debug.obj `if test -f 'stub_debug.cc'; then $(CYGPATH_W) 'stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/stub_debug.cc'; fi`
968
969cachemgr__CGIEXT_-test_tools.o: test_tools.cc
970@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-test_tools.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo -c -o cachemgr__CGIEXT_-test_tools.o `test -f 'test_tools.cc' || echo '$(srcdir)/'`test_tools.cc
971@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
972@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test_tools.cc' object='cachemgr__CGIEXT_-test_tools.o' libtool=no @AMDEPBACKSLASH@
973@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-test_tools.o `test -f 'test_tools.cc' || echo '$(srcdir)/'`test_tools.cc
975
976cachemgr__CGIEXT_-test_tools.obj: test_tools.cc
977@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-test_tools.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo -c -o cachemgr__CGIEXT_-test_tools.obj `if test -f 'test_tools.cc'; then $(CYGPATH_W) 'test_tools.cc'; else $(CYGPATH_W) '$(srcdir)/test_tools.cc'; fi`
978@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Tpo $(DEPDIR)/cachemgr__CGIEXT_-test_tools.Po
979@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test_tools.cc' object='cachemgr__CGIEXT_-test_tools.obj' libtool=no @AMDEPBACKSLASH@
980@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-test_tools.obj `if test -f 'test_tools.cc'; then $(CYGPATH_W) 'test_tools.cc'; else $(CYGPATH_W) '$(srcdir)/test_tools.cc'; fi`
982
983cachemgr__CGIEXT_-time.o: time.cc
984@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-time.o -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo -c -o cachemgr__CGIEXT_-time.o `test -f 'time.cc' || echo '$(srcdir)/'`time.cc
985@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo $(DEPDIR)/cachemgr__CGIEXT_-time.Po
986@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='time.cc' object='cachemgr__CGIEXT_-time.o' libtool=no @AMDEPBACKSLASH@
987@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
988@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-time.o `test -f 'time.cc' || echo '$(srcdir)/'`time.cc
989
990cachemgr__CGIEXT_-time.obj: time.cc
991@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -MT cachemgr__CGIEXT_-time.obj -MD -MP -MF $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo -c -o cachemgr__CGIEXT_-time.obj `if test -f 'time.cc'; then $(CYGPATH_W) 'time.cc'; else $(CYGPATH_W) '$(srcdir)/time.cc'; fi`
992@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/cachemgr__CGIEXT_-time.Tpo $(DEPDIR)/cachemgr__CGIEXT_-time.Po
993@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='time.cc' object='cachemgr__CGIEXT_-time.obj' libtool=no @AMDEPBACKSLASH@
994@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
995@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(cachemgr__CGIEXT__CXXFLAGS) $(CXXFLAGS) -c -o cachemgr__CGIEXT_-time.obj `if test -f 'time.cc'; then $(CYGPATH_W) 'time.cc'; else $(CYGPATH_W) '$(srcdir)/time.cc'; fi`
996
997mostlyclean-libtool:
998        -rm -f *.lo
999
1000clean-libtool:
1001        -rm -rf .libs _libs
1002install-man8: $(man_MANS)
1003        @$(NORMAL_INSTALL)
1004        @list1=''; \
1005        list2='$(man_MANS)'; \
1006        test -n "$(man8dir)" \
1007          && test -n "`echo $$list1$$list2`" \
1008          || exit 0; \
1009        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
1010        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
1011        { for i in $$list1; do echo "$$i"; done;  \
1012        if test -n "$$list2"; then \
1013          for i in $$list2; do echo "$$i"; done \
1014            | sed -n '/\.8[a-z]*$$/p'; \
1015        fi; \
1016        } | while read p; do \
1017          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1018          echo "$$d$$p"; echo "$$p"; \
1019        done | \
1020        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1021              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1022        sed 'N;N;s,\n, ,g' | { \
1023        list=; while read file base inst; do \
1024          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1025            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
1026            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
1027          fi; \
1028        done; \
1029        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1030        while read files; do \
1031          test -z "$$files" || { \
1032            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
1033            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
1034        done; }
1035
1036uninstall-man8:
1037        @$(NORMAL_UNINSTALL)
1038        @list=''; test -n "$(man8dir)" || exit 0; \
1039        files=`{ for i in $$list; do echo "$$i"; done; \
1040        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1041          sed -n '/\.8[a-z]*$$/p'; \
1042        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
1043              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1044        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
1045
1046# This directory's subdirectories are mostly independent; you can cd
1047# into them and run 'make' without going through this Makefile.
1048# To change the values of 'make' variables: instead of editing Makefiles,
1049# (1) if the variable is set in 'config.status', edit 'config.status'
1050#     (which will cause the Makefiles to be regenerated when you run 'make');
1051# (2) otherwise, pass the desired values on the 'make' command line.
1052$(am__recursive_targets):
1053        @fail=; \
1054        if $(am__make_keepgoing); then \
1055          failcom='fail=yes'; \
1056        else \
1057          failcom='exit 1'; \
1058        fi; \
1059        dot_seen=no; \
1060        target=`echo $@ | sed s/-recursive//`; \
1061        case "$@" in \
1062          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1063          *) list='$(SUBDIRS)' ;; \
1064        esac; \
1065        for subdir in $$list; do \
1066          echo "Making $$target in $$subdir"; \
1067          if test "$$subdir" = "."; then \
1068            dot_seen=yes; \
1069            local_target="$$target-am"; \
1070          else \
1071            local_target="$$target"; \
1072          fi; \
1073          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1074          || eval $$failcom; \
1075        done; \
1076        if test "$$dot_seen" = "no"; then \
1077          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1078        fi; test -z "$$fail"
1079
1080ID: $(am__tagged_files)
1081        $(am__define_uniq_tagged_files); mkid -fID $$unique
1082tags: tags-recursive
1083TAGS: tags
1084
1085tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1086        set x; \
1087        here=`pwd`; \
1088        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1089          include_option=--etags-include; \
1090          empty_fix=.; \
1091        else \
1092          include_option=--include; \
1093          empty_fix=; \
1094        fi; \
1095        list='$(SUBDIRS)'; for subdir in $$list; do \
1096          if test "$$subdir" = .; then :; else \
1097            test ! -f $$subdir/TAGS || \
1098              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1099          fi; \
1100        done; \
1101        $(am__define_uniq_tagged_files); \
1102        shift; \
1103        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1104          test -n "$$unique" || unique=$$empty_fix; \
1105          if test $$# -gt 0; then \
1106            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1107              "$$@" $$unique; \
1108          else \
1109            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1110              $$unique; \
1111          fi; \
1112        fi
1113ctags: ctags-recursive
1114
1115CTAGS: ctags
1116ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1117        $(am__define_uniq_tagged_files); \
1118        test -z "$(CTAGS_ARGS)$$unique" \
1119          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1120             $$unique
1121
1122GTAGS:
1123        here=`$(am__cd) $(top_builddir) && pwd` \
1124          && $(am__cd) $(top_srcdir) \
1125          && gtags -i $(GTAGS_ARGS) "$$here"
1126cscopelist: cscopelist-recursive
1127
1128cscopelist-am: $(am__tagged_files)
1129        list='$(am__tagged_files)'; \
1130        case "$(srcdir)" in \
1131          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1132          *) sdir=$(subdir)/$(srcdir) ;; \
1133        esac; \
1134        for i in $$list; do \
1135          if test -f "$$i"; then \
1136            echo "$(subdir)/$$i"; \
1137          else \
1138            echo "$$sdir/$$i"; \
1139          fi; \
1140        done >> $(top_builddir)/cscope.files
1141
1142distclean-tags:
1143        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1144
1145# Recover from deleted '.trs' file; this should ensure that
1146# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1147# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1148# to avoid problems with "make -n".
1149.log.trs:
1150        rm -f $< $@
1151        $(MAKE) $(AM_MAKEFLAGS) $<
1152
1153# Leading 'am--fnord' is there to ensure the list of targets does not
1154# expand to empty, as could happen e.g. with make check TESTS=''.
1155am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1156am--force-recheck:
1157        @:
1158
1159$(TEST_SUITE_LOG): $(TEST_LOGS)
1160        @$(am__set_TESTS_bases); \
1161        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1162        redo_bases=`for i in $$bases; do \
1163                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1164                    done`; \
1165        if test -n "$$redo_bases"; then \
1166          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1167          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1168          if $(am__make_dryrun); then :; else \
1169            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1170          fi; \
1171        fi; \
1172        if test -n "$$am__remaking_logs"; then \
1173          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1174               "recursion detected" >&2; \
1175        elif test -n "$$redo_logs"; then \
1176          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1177        fi; \
1178        if $(am__make_dryrun); then :; else \
1179          st=0;  \
1180          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1181          for i in $$redo_bases; do \
1182            test -f $$i.trs && test -r $$i.trs \
1183              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1184            test -f $$i.log && test -r $$i.log \
1185              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1186          done; \
1187          test $$st -eq 0 || exit 1; \
1188        fi
1189        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1190        ws='[   ]'; \
1191        results=`for b in $$bases; do echo $$b.trs; done`; \
1192        test -n "$$results" || results=/dev/null; \
1193        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1194        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1195        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1196        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1197        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1198        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1199        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1200        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1201          success=true; \
1202        else \
1203          success=false; \
1204        fi; \
1205        br='==================='; br=$$br$$br$$br$$br; \
1206        result_count () \
1207        { \
1208            if test x"$$1" = x"--maybe-color"; then \
1209              maybe_colorize=yes; \
1210            elif test x"$$1" = x"--no-color"; then \
1211              maybe_colorize=no; \
1212            else \
1213              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1214            fi; \
1215            shift; \
1216            desc=$$1 count=$$2; \
1217            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1218              color_start=$$3 color_end=$$std; \
1219            else \
1220              color_start= color_end=; \
1221            fi; \
1222            echo "$${color_start}# $$desc $$count$${color_end}"; \
1223        }; \
1224        create_testsuite_report () \
1225        { \
1226          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1227          result_count $$1 "PASS: " $$pass  "$$grn"; \
1228          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1229          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1230          result_count $$1 "FAIL: " $$fail  "$$red"; \
1231          result_count $$1 "XPASS:" $$xpass "$$red"; \
1232          result_count $$1 "ERROR:" $$error "$$mgn"; \
1233        }; \
1234        {                                                               \
1235          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1236            $(am__rst_title);                                           \
1237          create_testsuite_report --no-color;                           \
1238          echo;                                                         \
1239          echo ".. contents:: :depth: 2";                               \
1240          echo;                                                         \
1241          for b in $$bases; do echo $$b; done                           \
1242            | $(am__create_global_log);                                 \
1243        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1244        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1245        if $$success; then                                              \
1246          col="$$grn";                                                  \
1247         else                                                           \
1248          col="$$red";                                                  \
1249          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1250        fi;                                                             \
1251        echo "$${col}$$br$${std}";                                      \
1252        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1253        echo "$${col}$$br$${std}";                                      \
1254        create_testsuite_report --maybe-color;                          \
1255        echo "$$col$$br$$std";                                          \
1256        if $$success; then :; else                                      \
1257          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1258          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1259            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1260          fi;                                                           \
1261          echo "$$col$$br$$std";                                        \
1262        fi;                                                             \
1263        $$success || exit 1
1264
1265check-TESTS:
1266        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1267        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1268        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1269        @set +e; $(am__set_TESTS_bases); \
1270        log_list=`for i in $$bases; do echo $$i.log; done`; \
1271        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1272        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1273        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1274        exit $$?;
1275recheck: all $(check_PROGRAMS)
1276        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1277        @set +e; $(am__set_TESTS_bases); \
1278        bases=`for i in $$bases; do echo $$i; done \
1279                 | $(am__list_recheck_tests)` || exit 1; \
1280        log_list=`for i in $$bases; do echo $$i.log; done`; \
1281        log_list=`echo $$log_list`; \
1282        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1283                am__force_recheck=am--force-recheck \
1284                TEST_LOGS="$$log_list"; \
1285        exit $$?
1286.test.log:
1287        @p='$<'; \
1288        $(am__set_b); \
1289        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1290        --log-file $$b.log --trs-file $$b.trs \
1291        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1292        "$$tst" $(AM_TESTS_FD_REDIRECT)
1293@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1294@am__EXEEXT_TRUE@       @p='$<'; \
1295@am__EXEEXT_TRUE@       $(am__set_b); \
1296@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1297@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1298@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1299@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1300
1301distdir: $(DISTFILES)
1302        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1303        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1304        list='$(DISTFILES)'; \
1305          dist_files=`for file in $$list; do echo $$file; done | \
1306          sed -e "s|^$$srcdirstrip/||;t" \
1307              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1308        case $$dist_files in \
1309          */*) $(MKDIR_P) `echo "$$dist_files" | \
1310                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1311                           sort -u` ;; \
1312        esac; \
1313        for file in $$dist_files; do \
1314          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1315          if test -d $$d/$$file; then \
1316            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1317            if test -d "$(distdir)/$$file"; then \
1318              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1319            fi; \
1320            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1321              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1322              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1323            fi; \
1324            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1325          else \
1326            test -f "$(distdir)/$$file" \
1327            || cp -p $$d/$$file "$(distdir)/$$file" \
1328            || exit 1; \
1329          fi; \
1330        done
1331        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1332          if test "$$subdir" = .; then :; else \
1333            $(am__make_dryrun) \
1334              || test -d "$(distdir)/$$subdir" \
1335              || $(MKDIR_P) "$(distdir)/$$subdir" \
1336              || exit 1; \
1337            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1338            $(am__relativize); \
1339            new_distdir=$$reldir; \
1340            dir1=$$subdir; dir2="$(top_distdir)"; \
1341            $(am__relativize); \
1342            new_top_distdir=$$reldir; \
1343            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1344            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1345            ($(am__cd) $$subdir && \
1346              $(MAKE) $(AM_MAKEFLAGS) \
1347                top_distdir="$$new_top_distdir" \
1348                distdir="$$new_distdir" \
1349                am__remove_distdir=: \
1350                am__skip_length_check=: \
1351                am__skip_mode_fix=: \
1352                distdir) \
1353              || exit 1; \
1354          fi; \
1355        done
1356check-am: all-am
1357        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1358        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1359check: check-recursive
1360all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
1361installdirs: installdirs-recursive
1362installdirs-am:
1363        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1364          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1365        done
1366install: install-recursive
1367install-exec: install-exec-recursive
1368install-data: install-data-recursive
1369uninstall: uninstall-recursive
1370
1371install-am: all-am
1372        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1373
1374installcheck: installcheck-recursive
1375install-strip:
1376        if test -z '$(STRIP)'; then \
1377          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1378            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1379              install; \
1380        else \
1381          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1382            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1383            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1384        fi
1385mostlyclean-generic:
1386        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1387        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1388        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1389
1390clean-generic:
1391        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1392
1393distclean-generic:
1394        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1395        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1396        -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1397
1398maintainer-clean-generic:
1399        @echo "This command is intended for maintainers to use"
1400        @echo "it deletes files that may require special tools to rebuild."
1401clean: clean-recursive
1402
1403clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1404        clean-libtool mostlyclean-am
1405
1406distclean: distclean-recursive
1407        -rm -rf ./$(DEPDIR)
1408        -rm -f Makefile
1409distclean-am: clean-am distclean-compile distclean-generic \
1410        distclean-tags
1411
1412dvi: dvi-recursive
1413
1414dvi-am:
1415
1416html: html-recursive
1417
1418html-am:
1419
1420info: info-recursive
1421
1422info-am:
1423
1424install-data-am: install-data-local install-man
1425
1426install-dvi: install-dvi-recursive
1427
1428install-dvi-am:
1429
1430install-exec-am: install-libexecPROGRAMS install-libexecSCRIPTS
1431
1432install-html: install-html-recursive
1433
1434install-html-am:
1435
1436install-info: install-info-recursive
1437
1438install-info-am:
1439
1440install-man: install-man8
1441
1442install-pdf: install-pdf-recursive
1443
1444install-pdf-am:
1445
1446install-ps: install-ps-recursive
1447
1448install-ps-am:
1449
1450installcheck-am:
1451
1452maintainer-clean: maintainer-clean-recursive
1453        -rm -rf ./$(DEPDIR)
1454        -rm -f Makefile
1455maintainer-clean-am: distclean-am maintainer-clean-generic
1456
1457mostlyclean: mostlyclean-recursive
1458
1459mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1460        mostlyclean-libtool
1461
1462pdf: pdf-recursive
1463
1464pdf-am:
1465
1466ps: ps-recursive
1467
1468ps-am:
1469
1470uninstall-am: uninstall-libexecPROGRAMS uninstall-libexecSCRIPTS \
1471        uninstall-local uninstall-man
1472
1473uninstall-man: uninstall-man8
1474
1475.MAKE: $(am__recursive_targets) check-am install-am install-strip
1476
1477.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1478        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1479        clean-libexecPROGRAMS clean-libtool cscopelist-am ctags \
1480        ctags-am distclean distclean-compile distclean-generic \
1481        distclean-libtool distclean-tags distdir dvi dvi-am html \
1482        html-am info info-am install install-am install-data \
1483        install-data-am install-data-local install-dvi install-dvi-am \
1484        install-exec install-exec-am install-html install-html-am \
1485        install-info install-info-am install-libexecPROGRAMS \
1486        install-libexecSCRIPTS install-man install-man8 install-pdf \
1487        install-pdf-am install-ps install-ps-am install-strip \
1488        installcheck installcheck-am installdirs installdirs-am \
1489        maintainer-clean maintainer-clean-generic mostlyclean \
1490        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1491        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1492        uninstall-am uninstall-libexecPROGRAMS \
1493        uninstall-libexecSCRIPTS uninstall-local uninstall-man \
1494        uninstall-man8
1495
1496.PRECIOUS: Makefile
1497
1498
1499$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1500
1501test_tools.cc: $(top_srcdir)/test-suite/test_tools.cc
1502        cp $(top_srcdir)/test-suite/test_tools.cc .
1503
1504stub_debug.cc: $(top_srcdir)/src/tests/stub_debug.cc
1505        cp $(top_srcdir)/src/tests/stub_debug.cc .
1506
1507time.cc: $(top_srcdir)/src/time.cc
1508        cp $(top_srcdir)/src/time.cc .
1509
1510cachemgr.cgi.8: $(srcdir)/cachemgr.cgi.8.in Makefile
1511        $(SUBSTITUTE) < $(srcdir)/cachemgr.cgi.8.in > $@
1512
1513install-data-local:
1514        $(INSTALL_DATA) $(srcdir)/cachemgr.conf $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG).default
1515        @if test -f $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG) ; then \
1516                echo "$@ will not overwrite existing $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG)" ; \
1517        else \
1518                echo "$(INSTALL_DATA) $(srcdir)/cachemgr.conf $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG)"; \
1519                $(INSTALL_DATA) $(srcdir)/cachemgr.conf $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG); \
1520        fi
1521
1522uninstall-local:
1523        @$(SHELL) $(top_srcdir)/scripts/remove-cfg.sh "$(RM)" $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG)
1524        $(RM) -f $(DESTDIR)$(DEFAULT_CACHEMGR_CONFIG).default
1525
1526# Tell versions [3.59,3.63) of GNU make to not export all variables.
1527# Otherwise a system limit (for SysV at least) may be exceeded.
1528.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.